Bug 517394 - creator unmount process remove preexisting /etc/mtab -> /proc/mounts symlink
creator unmount process remove preexisting /etc/mtab -> /proc/mounts symlink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-13 14:33 EDT by Joey Boggs
Modified: 2009-08-17 10:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 10:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joey Boggs 2009-08-13 14:33:25 EDT
Description of problem:
When creating a livecd based image with a symlink from /etc/mtab to /proc/mounts it is removed during the build process

Version-Release number of selected component (if applicable):


How reproducible:
Any kickstart that symlinks /etc/mtab to /proc/mounts

  
Actual results:
/etc/mtab -> /proc/mounts is removed 

Expected results:
/etc/mtab -> /proc/mounts still intact

Additional info:

Under the ImageCreator class in creator.py

If you comment out:  os.unlink(self._instroot + "/etc/mtab") the symlink is left intact. I'm not entirely sure of the case for it being removed but maybe a check to see if the link was created by something other than livecd-creator and leave intact if so.


    def unmount(self):
        """Unmounts the target filesystem.

        The ImageCreator class detaches the system from the install root, but
        other subclasses may also detach the loopback mounted filesystem image
        from the install root.

        """
        try:
            os.unlink(self._instroot + "/etc/mtab")
        except OSError:
            pass

        self.__destroy_selinuxfs()

        self._undo_bindmounts()

        self._unmount_instroot()
Comment 1 Jeremy Katz 2009-08-14 10:43:48 EDT
There's no way really to tell if it was created otherwise -- livecd-creator always does create it

What's the use case you have for wanting it on the later image?

Note You need to log in before you can comment on or make changes to this bug.